/**
 * Abbaye des Morts for Parallax Propeller
 * Copyright (c) 2015 Marco Maccaferri
 *
 * TERMS OF USE: MIT License
 */

#include <propeller.h>

#include "game.h"

void gameover(int * state)
{
    mailbox[0] = GPU_GAMEOVER_TILES_RAM;
    mailbox[1] = GAMEOVER_TILESET_SIZE;
    mailbox[2] = GPU_GAMEOVER_TILEMAP;
    hs_tx(sizeof(mailbox) / 4, (int32_t)mailbox, 3, GPU_MAILBOX);

    waitcnt(CNT + _CLKFREQ * 12);
    *state = 0;
}
