
#ifndef GPU_H
#define GPU_H

// GPU memory map definitions
// Generated automatically by map2def

#define GPU_SPRITE_RAM              0x1691
#define GPU_VIDEO_RAM               0x16A9
#define GPU_MAILBOX                 0x18A0

#define GPU_TILES_RAM               0x1B80
#define GPU_ROOM_24_TILES_RAM       0xC0000000
#define GPU_ROOM_23_TILES_RAM       0xC0000C20
#define GPU_ROOM_22_TILES_RAM       0xC0001020
#define GPU_ROOM_21_TILES_RAM       0xC00016E0
#define GPU_ROOM_20_TILES_RAM       0xC0001A20
#define GPU_ROOM_19_TILES_RAM       0xC0001E60
#define GPU_ROOM_18_TILES_RAM       0xC00021E0
#define GPU_ROOM_17_TILES_RAM       0xC00029E0
#define GPU_ROOM_16_TILES_RAM       0xC0002BA0
#define GPU_ROOM_15_TILES_RAM       0xC0002EA0
#define GPU_ROOM_14_TILES_RAM       0xC00031A0
#define GPU_ROOM_13_TILES_RAM       0xC0003440
#define GPU_ROOM_12_TILES_RAM       0xC00035C0
#define GPU_ROOM_11_TILES_RAM       0xC00037C0
#define GPU_ROOM_10_TILES_RAM       0xC00038C0
#define GPU_ROOM_09_TILES_RAM       0xC0004000
#define GPU_ROOM_08_TILES_RAM       0xC0004140
#define GPU_ROOM_03_TILES_RAM       0xC0004240
#define GPU_ROOM_02_TILES_RAM       0xC0004440
#define GPU_INTROMD_TILES_RAM       0xC0004540
#define GPU_HISTORY_TILES_RAM       0xC00074C0
#define GPU_PARCHMENT1_TILES_RAM    0xC0009680
#define GPU_PARCHMENT2_TILES_RAM    0xC000A5E0
#define GPU_PARCHMENT3_TILES_RAM    0xC000B540
#define GPU_PARCHMENT4_TILES_RAM    0xC000C540
#define GPU_PARCHMENT5_TILES_RAM    0xC000D620
#define GPU_PARCHMENT6_TILES_RAM    0xC000E6A0
#define GPU_REDPARCH_TILES_RAM      0xC000F580
#define GPU_BLUEPARCH_TILES_RAM     0xC0010B80
#define GPU_GAMEOVER_TILES_RAM      0xC0011FA0
#define GPU_ENDING_TILES_RAM        0xC0012B60

#define GPU_INTROMD_TILES_RAM       0xC0004540
#define GPU_INTROMD_TILEMAP         0xC0006EC0

#define GPU_PARCHMENT1_TILES_RAM    0xC0009680
#define GPU_PARCHMENT1_TILEMAP      0xC0009FE0
#define GPU_PARCHMENT2_TILES_RAM    0xC000A5E0
#define GPU_PARCHMENT2_TILEMAP      0xC000AF40
#define GPU_PARCHMENT3_TILES_RAM    0xC000B540
#define GPU_PARCHMENT3_TILEMAP      0xC000BF40
#define GPU_PARCHMENT4_TILES_RAM    0xC000C540
#define GPU_PARCHMENT4_TILEMAP      0xC000D020
#define GPU_PARCHMENT5_TILES_RAM    0xC000D620
#define GPU_PARCHMENT5_TILEMAP      0xC000E0A0
#define GPU_PARCHMENT6_TILES_RAM    0xC000E6A0
#define GPU_PARCHMENT6_TILEMAP      0xC000EF80
#define GPU_REDPARCH_TILES_RAM      0xC000F580
#define GPU_REDPARCH_TILEMAP        0xC0010580
#define GPU_BLUEPARCH_TILES_RAM     0xC0010B80
#define GPU_BLUEPARCH_TILEMAP       0xC00119A0

#define GPU_HISTORY_TILES_RAM       0xC00074C0
#define GPU_HISTORY_TILEMAP         0xC0009080
#define GPU_GAMEOVER_TILES_RAM      0xC0011FA0
#define GPU_GAMEOVER_TILEMAP        0xC0012560
#define GPU_ENDING_TILES_RAM        0xC0012B60
#define GPU_ENDING_TILEMAP          0xC0016340

#endif /* GPU_H */

