/**
 * Abbaye des Morts for Parallax Propeller
 * Copyright (c) 2015 Marco Maccaferri
 *
 * TERMS OF USE: MIT License
 */

#include <propeller.h>

#include "game.h"
#include "overlay.h"

void room_23_touchobj()
{
    int x = 0;
    int y = 0;
    int h = 0;
    int v = 0;

    x = (jean.x + INC_2_0) / 0x800;
    y = jean.y / 0x800;

    /* Touch spikes, water or fire */
    if (((video_ram[y+3][x] == TILE005_ID) || (video_ram[y+3][x+1] == TILE005_ID)) || (((video_ram[y+3][x] >= TILE501_ID) && (video_ram[y+3][x] <= TILE504_ID))|| ((video_ram[y+3][x+1] >= TILE501_ID) && (video_ram[y+3][x+1] <= TILE504_ID))) || (((video_ram[y+3][x] == TILE059_ID) || (video_ram[y+3][x] == TILE059_ID)) || ((video_ram[y+3][x+1] == TILE060_ID) && (video_ram[y+3][x+1] == TILE060_ID)))) {
        if ((room[0] == 11) && (y+3 == 20) && (x < 4))
            jean.death = 0;
        else {
            if (jean.death == 0)
                jean.death = 1;
        }
    }

    TOUCH_CROSSES
    TOUCH_HEARTS
    TOUCH_CHECKPOINT
}
