/**
 * Abbaye des Morts for Parallax Propeller
 * Copyright (c) 2015 Marco Maccaferri
 *
 * TERMS OF USE: MIT License
 */

#include <propeller.h>

#include "game.h"
#include "overlay.h"

void room_07_touchobj()
{
    int x = 0;
    int y = 0;
    int h = 0;
    int v = 0;

    x = (jean.x + INC_2_0) / 0x800;
    y = jean.y / 0x800;

    TOUCH_CROSSES
    TOUCH_HEARTS
}

void room_07_events()
{
    /* Close door */
    if ((jean.x > (24 << 8)) && (jean.flags[0] == 0)) {
        video_ram[14][0] = TILE347_ID;
        video_ram[15][0] = TILE348_ID;
        video_ram[16][0] = TILE349_ID;
        video_ram[17][0] = TILE350_ID;
        jean.flags[0] = 1;
        hs_tx(sizeof(video_ram) / 4, (int32_t)video_ram, 0, GPU_VIDEO_RAM);
        spi_write((room[0] - 1) * (MAP_SIZE), (uint8_t *)&video_ram[0][0], MAP_SIZE);
        //Mix_PlayChannel(-1, fx[1], 0);
        waitcnt(CNT + _CLKFREQ);
    }
}
