/**
 * Abbaye des Morts for Parallax Propeller
 * Copyright (c) 2015 Marco Maccaferri
 *
 * TERMS OF USE: MIT License
 */

#include <propeller.h>

#include "game.h"

void startscreen(int * state) {
    mailbox[0] = GPU_INTROMD_TILES_RAM;
    mailbox[1] = INTROMD_TILESET_SIZE;
    mailbox[2] = GPU_INTROMD_TILEMAP;
    hs_tx(sizeof(mailbox) / 4, (int32_t) mailbox, 3, GPU_MAILBOX);

    while ((read_gamepad() & JOY_START) == 0) {
        Yield__();
    }

    mailbox[0] = 0;
    mailbox[1] = 0;
    mailbox[2] = 0;
    hs_tx(sizeof(mailbox) / 4, (int32_t)mailbox, 5, GPU_MAILBOX);

    *state = 1;
}
